summaryrefslogtreecommitdiffstats
path: root/system/sqlite2
diff options
context:
space:
mode:
author V'yacheslav Stetskevych <slava18@gmail.com>2010-05-04 23:51:37 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:16 -0500
commit06615c2e55bf107bbb6391f93b0e720d296b5f07 (patch)
tree5bd9754ba192577bc73c62175e634505e427c913 /system/sqlite2
parenta0dade045c6de1250ef0327841f4dcdc9a1ff794 (diff)
downloadslackbuilds-06615c2e55bf107bbb6391f93b0e720d296b5f07.tar.gz
slackbuilds-06615c2e55bf107bbb6391f93b0e720d296b5f07.tar.xz
system/sqlite2: Added (sqlite version 2).
Diffstat (limited to 'system/sqlite2')
-rw-r--r--system/sqlite2/README7
-rw-r--r--system/sqlite2/slack-desc19
-rwxr-xr-xsystem/sqlite2/sqlite2.SlackBuild84
-rw-r--r--system/sqlite2/sqlite2.info12
4 files changed, 122 insertions, 0 deletions
diff --git a/system/sqlite2/README b/system/sqlite2/README
new file mode 100644
index 0000000000..4cd7724fa5
--- /dev/null
+++ b/system/sqlite2/README
@@ -0,0 +1,7 @@
+SQLite is a small C library that implements a self-contained, embeddable,
+zero-configuration SQL database engine. The distribution contains a
+standalone command-line database access program as well.
+
+This is a legacy build that is no longer maintained or supported by the
+upstream developers at sqlite.org. This sqlite2 package can be installed
+in parallel with the sqlite (version 3) package included in Slackware.
diff --git a/system/sqlite2/slack-desc b/system/sqlite2/slack-desc
new file mode 100644
index 0000000000..dcc5e27585
--- /dev/null
+++ b/system/sqlite2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sqlite2: SQLite version 2 (simple, self contained database engine)
+sqlite2:
+sqlite2: SQLite is a small C library that implements a self-contained,
+sqlite2: embeddable, zero-configuration SQL database engine. The distribution
+sqlite2: contains a standalone command-line database access program as well.
+sqlite2:
+sqlite2: SQLite version 2 is installable in parallel with SQLite version 3,
+sqlite2: which is included in Slackware.
+sqlite2:
+sqlite2: Homepage: http://www.sqlite.org/
+sqlite2:
diff --git a/system/sqlite2/sqlite2.SlackBuild b/system/sqlite2/sqlite2.SlackBuild
new file mode 100755
index 0000000000..5f9dc83b64
--- /dev/null
+++ b/system/sqlite2/sqlite2.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for sqlite2
+# As sqlite version 2 is no longer maintained in favour of version 3,
+# we'll grab the source and security patches from the Debian project.
+# File names in v.2 and v.3 do not overlap, so both packages can safely coexist
+
+# Written by V'yacheslav Stetskevych
+
+PRGNAM=sqlite2
+VERSION=${VERSION:-2.8.17_6}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=sqlite
+SRCVERSION=$(printf "$VERSION" | cut -d _ -f 1)
+PATCHLEVEL=$(printf "$VERSION" | cut -d _ -f 2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVERSION
+tar xvf $CWD/${SRCNAM}_${SRCVERSION}.orig.tar.gz
+cd $SRCNAM-$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply the debian patchset, which creates the "debian" directory
+zcat $CWD/${SRCNAM}_$SRCVERSION-$PATCHLEVEL.diff.gz | patch -p1
+# Apply individual debian patches
+cat debian/patches/* | patch -p1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-utf8 \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Install the manpage
+mkdir -p $PKG/usr/man/man1
+gzip -9 < sqlite.1 > $PKG/usr/man/man1/sqlite.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/sqlite2/sqlite2.info b/system/sqlite2/sqlite2.info
new file mode 100644
index 0000000000..232f563b26
--- /dev/null
+++ b/system/sqlite2/sqlite2.info
@@ -0,0 +1,12 @@
+PRGNAM="sqlite2"
+VERSION="2.8.17_6"
+HOMEPAGE="http://www.sqlite.org"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/s/sqlite/sqlite_2.8.17.orig.tar.gz \
+ http://ftp.de.debian.org/debian/pool/main/s/sqlite/sqlite_2.8.17-6.diff.gz"
+MD5SUM="04f15ed552134b06528b3628be7d7315 \
+ 226d2321cd82fe0b1ee6acbf547f1e3e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="V'yacheslav Stetskevych"
+EMAIL="slava18@gmail.com"
+APPROVED="rworkman"